| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Attributes | List of all members
Ogre::PCZLightFactory Class Reference

Factory object for creating PCZLight instances. More...

`#include <OgrePCZLight.h>`

Inheritance diagram for Ogre::PCZLightFactory:
[legend]

## Public Member Functions
| PCZLightFactory ()
| ~PCZLightFactory ()
void | _notifyTypeFlags (uint32 flag)
| Notify this factory of the type mask to apply. More...
MovableObject * | createInstance (const String &name, SceneManager *manager, const NameValuePairList *params=0)
| Create a new instance of the object. More...
void | destroyInstance (MovableObject *obj)
| Destroy an instance of the object. More...
const String & | getType (void) const
| Get the type of the object to be created. More...
uint32 | getTypeFlags (void) const
| Gets the type flag for this factory. More...
virtual bool | requestTypeFlags (void) const
| Does this factory require the allocation of a 'type flag', used to selectively include / exclude this type from scene queries? More...

## Static Public Attributes
static String | FACTORY_TYPE_NAME

## Detailed Description

Factory object for creating PCZLight instances.

## Constructor & Destructor Documentation

## ◆ PCZLightFactory()

Ogre::PCZLightFactory::PCZLightFactory | ( |  | ) |
| inline

## ◆ ~PCZLightFactory()

Ogre::PCZLightFactory::~PCZLightFactory | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getType()

const String& Ogre::PCZLightFactory::getType | ( | void |  | ) | const
| virtual

Get the type of the object to be created.

Implements Ogre::MovableObjectFactory.

## ◆ destroyInstance()

void Ogre::PCZLightFactory::destroyInstance | ( | MovableObject * | obj | ) |
| virtual

Destroy an instance of the object.

Implements Ogre::MovableObjectFactory.

## ◆ createInstance()

MovableObject* Ogre::MovableObjectFactory::createInstance | ( | const String & | name,
|  | SceneManager * | manager,
|  | const NameValuePairList * | params = `0`
| ) |  |
| inherited

Create a new instance of the object.

Parameters

  name | The name of the new object
  manager | The SceneManager instance that will be holding the instance once created.
  params | Name/value pair list of additional parameters required to construct the object (defined per subtype). Optional.

## ◆ requestTypeFlags()

virtual bool Ogre::MovableObjectFactory::requestTypeFlags | ( | void |  | ) | const
| inline virtual inherited

Does this factory require the allocation of a 'type flag', used to selectively include / exclude this type from scene queries?

Remarks
  The default implementation here is to return 'false', ie not to request a unique type mask from Root. For objects that never need to be excluded in SceneQuery results, that's fine, since the default implementation of MovableObject::getTypeFlags is to return all ones, hence matching any query type mask. However, if you want the objects created by this factory to be filterable by queries using a broad type, you have to give them a (preferably unique) type mask - and given that you don't know what other MovableObject types are registered, Root will allocate you one.

Reimplemented in Ogre::PortalFactory, and Ogre::AntiPortalFactory.

## ◆ _notifyTypeFlags()

void Ogre::MovableObjectFactory::_notifyTypeFlags | ( | uint32 | flag | ) |
| inline inherited

Notify this factory of the type mask to apply.

Remarks
  This should normally only be called by Root in response to a 'true' result from requestTypeMask. However, you can actually use it yourself if you're careful; for example to assign the same mask to a number of different types of object, should you always wish them to be treated the same in queries.

## ◆ getTypeFlags()

uint32 Ogre::MovableObjectFactory::getTypeFlags | ( | void |  | ) | const
| inline inherited

Gets the type flag for this factory.

Remarks
  A type flag is like a query flag, except that it applies to all instances of a certain type of object.

## Member Data Documentation

## ◆ FACTORY_TYPE_NAME

String Ogre::PCZLightFactory::FACTORY_TYPE_NAME
| static

The documentation for this class was generated from the following file:

- OgrePCZLight.h